Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class PlaceholderPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.layout.PlaceholderPresentationContext

All Implemented Interfaces:
  Serializable

public class PlaceholderPresentationContext
extends PresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `PlaceholderPresentationContext(Placeholder placeholder)`

Method Summary
`String` | `getFlow()`
`static PlaceholderPresentationContext` | `getPlaceholderPresentationContext(HttpServletRequest request)`
`String` | `getTitle()`
`String` | `getWidth()`
`boolean` | `isUsingFlow()`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceholderPresentationContext

    protected PlaceholderPresentationContext(Placeholder placeholder)

Method Detail

### getTitle

    public String getTitle()

### getFlow

    public String getFlow()

### isUsingFlow

    public boolean isUsingFlow()

### getWidth

    public String getWidth()

### getPlaceholderPresentationContext

    public static PlaceholderPresentationContext getPlaceholderPresentationContext(HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved